Loading...
Searching...
No Matches
casacore::FitsArray< FitsBit > Class Reference
fits package (libcasa_fits) » FITS_module

FITS array of FitsBit type
Note: We must specify a FitsArray<FitsBit> as a specialization;
. More...

`#include <hdu.h>`

## Public Member Functions

| FitsArray (int, const int *)
| ~FitsArray ()
FitsField< FitsBit > & | operator() (int d0, int d1)
FitsField< FitsBit > & | operator() (int, int, int)
FitsField< FitsBit > & | operator() (int, int, int, int)
FitsField< FitsBit > & | operator() (int, int, int, int, int)
int | dims () const
int | dim (int n) const
int * | vdim ()
Public Member Functions inherited from casacore::FitsField< FitsBit >
| FitsField (int n=1)
| ~FitsField ()
FitsField< FitsBit > & | operator() ()
FitsField< FitsBit > & | operator() (unsigned i)
FitsField< FitsBit > & | operator= (unsigned i)
int | fitsfieldsize () const
int | localfieldsize () const
| operator int ()
void * | data ()
void | show (std::ostream &)
Public Member Functions inherited from casacore::FitsBase
| FitsBase (const FITS::ValueType &t, int n)
virtual | ~FitsBase ()
unsigned int | nelements () const
FITS::ValueType | fieldtype () const
FitsBase & | operator= (FitsBase &)=delete

## Protected Attributes

int | no_dims
int * | dimn
int * | factor
Protected Attributes inherited from casacore::FitsField< FitsBit >
FitsBit ** | field
unsigned char | mask
int | byte_offset
Protected Attributes inherited from casacore::FitsBase
int | no_elements
FITS::ValueType | data_type

## Additional Inherited Members

Static Public Member Functions inherited from casacore::FitsBase
static FitsBase * | make (const FITS::ValueType &, int=1)
static FitsBase * | make (const FITS::ValueType &, int, int *)
static FitsBase * | make (FitsBase &)
Protected Member Functions inherited from casacore::FitsField< FitsBit >
void | setaddr (void **addr)

## Detailed Description

FITS array of FitsBit type
Note: We must specify a FitsArray<FitsBit> as a specialization;
.

Definition at line 998 of file hdu.h.

## Constructor & Destructor Documentation

## FitsArray()

casacore::FitsArray< FitsBit >::FitsArray | ( | int | ,
|  | const int * | )

## ~FitsArray()

casacore::FitsArray< FitsBit >::~FitsArray | ( |  | ) |

## Member Function Documentation

## dim()

int casacore::FitsArray< FitsBit >::dim | ( | int | n | ) | const

virtual

Reimplemented from casacore::FitsBase.

## dims()

int casacore::FitsArray< FitsBit >::dims | ( |  | ) | const

virtual

Reimplemented from casacore::FitsBase.

## operator()() [1/4]

FitsField< FitsBit > & casacore::FitsArray< FitsBit >::operator() | ( | int | d0,
|  | int | d1 )

References casacore::FitsField< FitsBit >::FitsField().

## operator()() [2/4]

FitsField< FitsBit > & casacore::FitsArray< FitsBit >::operator() | ( | int | ,
|  | int | ,
|  | int | )

References casacore::FitsField< FitsBit >::FitsField().

## operator()() [3/4]

FitsField< FitsBit > & casacore::FitsArray< FitsBit >::operator() | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | )

References casacore::FitsField< FitsBit >::FitsField().

## operator()() [4/4]

FitsField< FitsBit > & casacore::FitsArray< FitsBit >::operator() | ( | int | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | )

References casacore::FitsField< FitsBit >::FitsField().

## vdim()

int * casacore::FitsArray< FitsBit >::vdim | ( |  | ) |

virtual

Reimplemented from casacore::FitsBase.

## Member Data Documentation

## dimn

int* casacore::FitsArray< FitsBit >::dimn

protected

Definition at line 1014 of file hdu.h.

## factor

int* casacore::FitsArray< FitsBit >::factor

protected

Definition at line 1015 of file hdu.h.

## no_dims

int casacore::FitsArray< FitsBit >::no_dims

protected

Definition at line 1013 of file hdu.h.

The documentation for this class was generated from the following file:

- fits/FITS/hdu.h